c++-gtk-utils

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces | Constant Groups | Functions
parallel.h File Reference
`#include <utility>`
`#include <memory>`
`#include <iterator>`
`#include <exception>`
`#include <functional>`
`#include <type_traits>`
`#include <c++-gtk-utils/callback.h>`
`#include <c++-gtk-utils/task_manager.h>`
`#include <c++-gtk-utils/mutex.h>`
`#include <c++-gtk-utils/shared_handle.h>`

Go to the source code of this file.

## Classes
struct | Cgu::Thread::ParallelError

## Namespaces
| Cgu
| Cgu::Thread

## Constant Groups
| Cgu
| Cgu::Thread

## Functions
template<class Iterator , class Func >
void | Cgu::Thread::parallel_for_each (TaskManager &tm, Iterator first, Iterator last, Func &&func)
template<class SourceIterator , class DestIterator , class Func >
void | Cgu::Thread::parallel_transform (TaskManager &tm, SourceIterator first, SourceIterator last, DestIterator dest, Func &&func)
template<class SourceIterator1 , class SourceIterator2 , class DestIterator , class Func >
void | Cgu::Thread::parallel_transform (TaskManager &tm, SourceIterator1 first1, SourceIterator1 last1, SourceIterator2 first2, DestIterator dest, Func &&func)